Bug 804830 - iec958 and spdif aliases no longer working
Summary: iec958 and spdif aliases no longer working
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 16
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Kysela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-19 21:13 UTC by Pierre Ossman
Modified: 2012-10-24 13:13 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-24 13:13:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
alsa-info.txt (46.18 KB, text/plain)
2012-03-20 21:03 UTC, Pierre Ossman
no flags Details

Description Pierre Ossman 2012-03-19 21:13:51 UTC
I upgraded my machine from Fedora 14 to Fedora 16. After that I could no longer use "iec958" or "spdif" as PCM names for pass-through.

Looking at the output from alsa-lib, it seem it tries to use hw:0,1 for these aliases:

[AO_ALSA] alsa-lib: pcm_hw.c:1293:(snd_pcm_hw_open) open '/dev/snd/pcmC0D1p' failed (-2): No such file or directory

This also matches my memory of how things used to behave.

The device currently presents hw:0,0 and hw:0,3. Both of these devices can be used for pass-through. I'm not sure if hw:0,3 really should be hw:0,1, or if the aliases are improperly updated.

Hardware is:

00:14.2 Audio device: ATI Technologies Inc SBx00 Azalia (Intel HDA)

Comment 1 Jaroslav Kysela 2012-03-20 08:10:35 UTC
Please, attach output from 'alsa-info.sh --no-upload'.

Comment 2 Pierre Ossman 2012-03-20 21:03:43 UTC
Created attachment 571525 [details]
alsa-info.txt

Comment 3 Jaroslav Kysela 2012-03-21 07:58:28 UTC
It looks like a kernel bug. The S/PDIF device must have index #1 (hw:0,1).

See: kernel/sound/pci/hda/hda_codec.c - get_empty_pcm_device() function.

Comment 4 Dave Jones 2012-03-22 16:43:02 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 5 Dave Jones 2012-03-22 16:47:24 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 6 Dave Jones 2012-03-22 16:56:54 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 7 Pierre Ossman 2012-03-22 21:16:45 UTC
Problem remains.

Comment 8 Dave Jones 2012-10-23 15:31:12 UTC
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).

Comment 9 Pierre Ossman 2012-10-24 07:52:55 UTC
Machine has been upgraded to F17, and also no longer uses SPDIF. So testing no longer possible. Feel free to close.


Note You need to log in before you can comment on or make changes to this bug.